Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154552 - Inaccurate message when you try installing a different architecture
Summary: Inaccurate message when you try installing a different architecture
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 3
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 16:55 UTC by Ian Collier
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-24 09:56:31 UTC


Attachments (Terms of Use)

Description Ian Collier 2005-04-12 16:55:41 UTC
Description of problem:

I accidentally installed the i386 Fedora Core 3 on an AMD 64.
Having noticed this, I stuck the x86_64 DVD in the machine to
see if it would "upgrade".  It said this:

  The arch of the release of Fedora Core you are upgrading to
  appears to be i386 which does not match your previously
  installed arch of x86_64.  This is likely to not succeed.  Are
  you sure you wish to continue the upgrade process?

That is, it got the architectures the wrong way around in the message.

[Of course, it didn't upgrade properly.  It would be nice if that worked,
but I'm only here to report the error message.]

Version-Release number of selected component (if applicable):
The standard Fedora Core 3 install DVD.

How reproducible:
I only made that mistake once. :-)

Steps to Reproduce:
1. Install Fedora Core 3 i386 edition on an x86_64 processor.
2. Insert Fedora Core 3 x86_64 edition DVD.
3. Boot and ask to upgrade the existing installation.

Comment 1 Jeremy Katz 2005-04-12 17:38:04 UTC
Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.